otpospoisson {VGAM} | R Documentation

## One-truncated Poisson Distribution

### Description

Estimating the (single) parameter of the 1-truncated positive Poisson distribution.

### Usage

     otpospoisson(llambda = "loglink",
        type.fitted = c("mean", "lambda", "prob0", "prob1"),
        ilambda = NULL, imethod = 1, zero = NULL)

### Arguments

`llambda, type.fitted, ilambda` | Same as `pospoisson`.
`imethod, zero` | Same as `pospoisson`.

### Details

The 1-truncated positive Poisson distribution has support on 2, 3, .... It is a Poisson distribution but with the probability of a one or zero being 0. The other probabilities are scaled to add to unity. Some more details can be found at `pospoisson`. Multiple responses are permitted.

### Value

An object of class `"vglmff"` (see `vglmff-class`). The object is used by modelling functions such as `vglm`, and `vgam`.

### Author(s)

T. W. Yee

### See Also

`Otpospois`, `oipospoisson`, `simulate.vlm`.

### Examples

    odata <- data.frame(y1 = rotpospois(n = 1000, lambda = loglink(1, inverse = TRUE)))
    ofit <- vglm(y1 ~ 1, otpospoisson, data = odata, trace = TRUE, crit = "c")
    coef(ofit, matrix = TRUE)
    Coef(ofit)
    ## Not run: with(odata,
        hist(y1, prob = TRUE, breaks = seq(0.5, max(y1) + 0.5, by = 1),
             border = "blue"))
    x <- seq(1, with(odata, max(y1)), by = 1)
    with(odata, lines(x, dotpospois(x, Coef(ofit)[1]), col = "orange", type = "h", lwd = 2))
    ## End(Not run)

[Package VGAM version 1.1-1 Index]